#pragma once

#include <include/api.h>
#include <QObject>

namespace http {

#define HTTPSenderInterfaceIID "bigsnitch.api.HTTPSenderInterface/100"

class SenderInterface {

public:
    virtual ~SenderInterface() = default;
    virtual int send(http::Request request);
    virtual bool received(int id);
    virtual std::optional<http::Response> receive(int id);
};

}

Q_DECLARE_INTERFACE(http::SenderInterface, HTTPSenderInterfaceIID)
